Bug 1487581 - Review Request: python3-cairo - Python 3 bindings for the cairo library
Summary: Review Request: python3-cairo - Python 3 bindings for the cairo library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1487595
TreeView+ depends on / blocked
 
Reported: 2017-09-01 10:35 UTC by Björn 'besser82' Esser
Modified: 2018-05-21 18:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 19:07:58 UTC
Type: ---
leigh123linux: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-09-01 10:35:16 UTC
Description:

  Python 3 bindings for the cairo library.


Issues:

  fedora-review shows no obvious issues.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/python34-cairo.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/python34-cairo-1.8.10-1.el7.src.rpm


Additional information:

This is an EPEL7 compatibility package!


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2017-09-01 11:34:05 UTC
Updated package
---------------


%changelog

  * Fri Sep 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.10.0-1
  - Updated to v1.10.0, since python34-gobject requires at least that version

  * Fri Sep 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.8.10-1
  - Initial rpm release for EPEL7 (rhbz#1234567)


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/python34-cairo.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/python34-cairo-1.10.0-1.el7.src.rpm

Comment 2 leigh scott 2017-09-02 14:11:25 UTC
Approved, please fix the unowned directory and shebangs when you import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1024000 bytes in 117 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD (3 clause)", "*No
     copyright* LGPL (v3)", "NTP (legal disclaimer)", "BSD (unspecified)",
     "GPL (v3)", "LGPL (v3)". 196 files have unknown license. Detailed
     output of licensecheck in
     /home/leigh/1487581-python34-cairo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[?]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/pycairo
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[?]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python34
     -cairo-devel , python34-cairo-debuginfo
     
     fedora-review tool is blind!
     
     %package devel
Summary:	Libraries and headers for python3-cairo
Requires:	%{name}%{?_isa} = %{version}-%{release}
     
[x]: Package functions as described.
[?]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[?]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1187840 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python34-cairo-1.10.0-1.el7.centos.x86_64.rpm
          python34-cairo-devel-1.10.0-1.el7.centos.x86_64.rpm
          python34-cairo-debuginfo-1.10.0-1.el7.centos.x86_64.rpm
          python34-cairo-1.10.0-1.el7.centos.src.rpm
python34-cairo.x86_64: W: incoherent-version-in-changelog 1.10.0-1 ['1.10.0-1.el7.centos', '1.10.0-1.centos']
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/cairo_snippets/snippets_gtk.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/cairo_snippets/snippets_pdf.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/cairo_snippets/snippets_png.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/cairo_snippets/snippets_ps.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/cairo_snippets/snippets_svg.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/gradient.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/gtk/cairo-demo.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/gtk/cairo-knockout.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/gtk/hangman.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/gtk/lsystem.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/gtk/png_view.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/gtk/text.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/hering.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/spiral.py /usr/bin/env python
python34-cairo.x86_64: E: wrong-script-interpreter /usr/share/doc/python34-cairo-1.10.0/examples/warpedtext.py /usr/bin/env python
python34-cairo-devel.x86_64: W: spelling-error %description -l en_US interoperate -> inter operate, inter-operate, interpenetrate
python34-cairo-devel.x86_64: W: only-non-binary-in-usr-lib
python34-cairo-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 15 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python34-cairo-debuginfo-1.10.0-1.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python34-cairo.x86_64: W: incoherent-version-in-changelog 1.10.0-1 ['1.10.0-1.el7.centos', '1.10.0-1.centos']
python34-cairo.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/cairo/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-cairo.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/cairo/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-cairo-devel.x86_64: W: no-documentation
python34-cairo-debuginfo.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 2 errors, 3 warnings.



Requires
--------
python34-cairo (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python34-cairo-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cairo-devel(x86-64)
    pkgconfig(cairo)
    python34-cairo(x86-64)
    python34-devel(x86-64)

python34-cairo-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
python34-cairo:
    python34-cairo
    python34-cairo(x86-64)

python34-cairo-devel:
    pkgconfig(py3cairo)
    python34-cairo-devel
    python34-cairo-devel(x86-64)

python34-cairo-debuginfo:
    python34-cairo-debuginfo
    python34-cairo-debuginfo(x86-64)



Unversioned so-files
--------------------
python34-cairo: /usr/lib64/python3.4/site-packages/cairo/_cairo.cpython-34m.so

Source checksums
----------------
http://cairographics.org/releases/pycairo-1.10.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 9aa4078e7eb5be583aeabbe8d87172797717f95e8c4338f0d4a17b683a7253be
  CHECKSUM(SHA256) upstream package : 9aa4078e7eb5be583aeabbe8d87172797717f95e8c4338f0d4a17b683a7253be


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1487581
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gwyn Ciesla 2017-09-04 18:08:29 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python34-cairo

Comment 4 Pat Riehecky 2017-10-10 17:05:52 UTC
Any news on this one?  #1479083 is pending on the completion....

Comment 5 Fedora Update System 2017-11-16 12:58:10 UTC
python34-cairo-1.10.0-23.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-86968da230

Comment 6 Fedora Update System 2017-11-16 14:39:58 UTC
python3-cairo-1.10.0-24.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-86968da230

Comment 7 Fedora Update System 2017-11-16 19:07:58 UTC
python3-cairo-1.10.0-24.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.